Tar.TarLongFileMode (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Tar.TarLongFileMode class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Tar.TarLongFileMode

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.Tar.TarLongFileMode

Enclosing class:
  Tar

public static class Tar.TarLongFileMode
extends EnumeratedAttribute

Set of options for long file handling in the task.

Author:
  Magesh Umasankar

Field Summary
`static java.lang.String` | `FAIL`
`static java.lang.String` | `GNU`
`static java.lang.String` | `OMIT`
`static java.lang.String` | `TRUNCATE`
`static java.lang.String` | `WARN`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Tar.TarLongFileMode()`

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.
`boolean` | `isFailMode()`
`boolean` | `isGnuMode()`
`boolean` | `isOmitMode()`
`boolean` | `isTruncateMode()`
`boolean` | `isWarnMode()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WARN

    public static final java.lang.String WARN

See Also:
  Constant Field Values

### FAIL

    public static final java.lang.String FAIL

See Also:
  Constant Field Values

### TRUNCATE

    public static final java.lang.String TRUNCATE

See Also:
  Constant Field Values

### GNU

    public static final java.lang.String GNU

See Also:
  Constant Field Values

### OMIT

    public static final java.lang.String OMIT

See Also:
  Constant Field Values

Constructor Detail

### Tar.TarLongFileMode

    public Tar.TarLongFileMode()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

### isTruncateMode

    public boolean isTruncateMode()

### isWarnMode

    public boolean isWarnMode()

### isGnuMode

    public boolean isGnuMode()

### isFailMode

    public boolean isFailMode()

### isOmitMode

    public boolean isOmitMode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.